Alle aktiven Dienste

GET /api/account/services

Response (application/json)

{
    "status": "success",
    "message": "all active services are listed sorted by type",
    "data": {
        "services": {
            "WEBSPACE": [
                {
                    "internal_id": "95063484-953c-43db-8f44-3ace485198e4",
                    "name": "Plesk-Medium",
                    "accounting": {
                        "buy_date": "2023-03-05T17:40:03.000Z",
                        "buy_price": 3.5,
                        "renew_date": "2025-01-30T00:00:00.000Z",
                        "renew_price": 3.5,
                        "renew_interval": 30,
                        "auto_renew": false
                    },
                    "username": "katherine5732",
                    "email": "l.kiefer@24fire-gmbh.de"
                }
            ],
            "KVM": [
                {
                    "internal_id": "5385913-8a21-4c43-jr934-b74da3c1ce2e",
                    "name": "EPYC 01",
                    "accounting": {
                        "buy_date": "2024-11-21T17:07:44.000Z",
                        "buy_price": 5.99,
                        "renew_date": "2025-01-20T00:00:00.000Z",
                        "renew_price": 5.99,
                        "renew_interval": 30,
                        "auto_renew": true
                    }
                }
            ],
            "DOMAIN": [
                {
                    "internal_id": "e5d987ce-595-4dc8-c248-nfr42456",
                    "name": "24fire.de",
                    "accounting": {
                        "buy_date": "2024-03-14T00:30:49.000Z",
                        "buy_price": 5.5,
                        "renew_date": "2025-03-14T00:30:49.000Z",
                        "renew_price": 4.5,
                        "renew_interval": 365,
                        "auto_renew": true
                    },
                    "target": "24fire.de"
                }
            ]
        }
    }
}

cURL

curl "https://manage.24fire.de/api/account/services" -X GET -H "Content-Type: application/x-www-form-urlencoded" -H "X-Fire-Apikey: [Dein API-Key]"

Anfrage testen